<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PaymentTosAction extends \Google\Protobuf\Internal\Message
{
    


    protected $paymentNotice = null;
    


    protected $accepted = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getPaymentNotice()
    {
        return isset($this->paymentNotice) ? $this->paymentNotice : 0;
    }

    public function hasPaymentNotice()
    {
        return isset($this->paymentNotice);
    }

    public function clearPaymentNotice()
    {
        unset($this->paymentNotice);
    }

    




    public function setPaymentNotice($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\SyncActionValue\PaymentTosAction\PaymentNotice::class);
        $this->paymentNotice = $var;

        return $this;
    }

    



    public function getAccepted()
    {
        return isset($this->accepted) ? $this->accepted : false;
    }

    public function hasAccepted()
    {
        return isset($this->accepted);
    }

    public function clearAccepted()
    {
        unset($this->accepted);
    }

    




    public function setAccepted($var)
    {
        GPBUtil::checkBool($var);
        $this->accepted = $var;

        return $this;
    }

}

